Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.domapi
Class XPathNamespaceImpl

    java.lang.Object
      |
      +--org.apache.xpath.domapi.XPathNamespaceImpl

public class XPathNamespaceImpl
extends java.lang.Object
implements XPathNamespace

**Experimental** The `XPathNamespace` interface is returned by `XPathResult` interfaces to represent the XPath namespace node type that DOM lacks. There is no public constructor for this node type. Attempts to place it into a hierarchy or a NamedNodeMap result in a `DOMException` with the code `HIERARCHY_REQUEST_ERR` . This node is read only, so methods or setting of attributes that would mutate the node result in a DOMException with the code `NO_MODIFICATION_ALLOWED_ERR`.

The core specification describes attributes of the `Node` interface that are different for different node node types but does not describe `XPATH_NAMESPACE_NODE`, so here is a description of those attributes for this node type. All attributes of `Node` not described in this section have a `null` or `false` value.

`ownerDocument` matches the `ownerDocument` of the `ownerElement` even if the element is later adopted.

`prefix` is the prefix of the namespace represented by the node.

`nodeName` is the same as `prefix`.

`nodeType` is equal to `XPATH_NAMESPACE_NODE`.

`namespaceURI` is the namespace URI of the namespace represented by the node.

`adoptNode`, `cloneNode`, and `importNode` fail on this node type by raising a `DOMException` with the code `NOT_SUPPORTED_ERR`.In future versions of the XPath specification, the definition of a namespace node may be changed incomatibly, in which case incompatible changes to field values may be required to implement versions beyond XPath 1.0.

See also the Document Object Model (DOM) Level 3 XPath Specification. This implementation wraps the DOM attribute node that contained the namespace declaration.

Constructor Summary
`XPathNamespaceImpl(Node node)` Constructor for XPathNamespaceImpl.

Method Summary
`Node` | `appendChild(Node arg0)`
`Node` | `cloneNode(boolean arg0)`
`NamedNodeMap` | `getAttributes()`
`NodeList` | `getChildNodes()`
`Node` | `getFirstChild()`
`Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Element` | `getOwnerElement()`
`Node` | `getParentNode()`
`java.lang.String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node arg0, Node arg1)`
`boolean` | `isSupported(java.lang.String arg0, java.lang.String arg1)`
`void` | `normalize()`
`Node` | `removeChild(Node arg0)`
`Node` | `replaceChild(Node arg0, Node arg1)`
`void` | `setNodeValue(java.lang.String arg0)`
`void` | `setPrefix(java.lang.String arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathNamespaceImpl

    public XPathNamespaceImpl(Node node)

  Constructor for XPathNamespaceImpl.

Method Detail

### getOwnerElement

    public Element getOwnerElement()

  Specified by:
    getOwnerElement in interface XPathNamespace
  See Also:
    `org.apache.xalan.dom3.xpath.XPathNamespace#getOwnerElement()`

### getNodeName

    public java.lang.String getNodeName()

  See Also:
    `Node.getNodeName()`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

  See Also:
    `Node.getNodeValue()`

### setNodeValue

    public void setNodeValue(java.lang.String arg0)
                      throws DOMException

  See Also:
    `Node.setNodeValue(String)`

### getNodeType

    public short getNodeType()

  See Also:
    `Node.getNodeType()`

### getParentNode

    public Node getParentNode()

  See Also:
    `Node.getParentNode()`

### getChildNodes

    public NodeList getChildNodes()

  See Also:
    `Node.getChildNodes()`

### getFirstChild

    public Node getFirstChild()

  See Also:
    `Node.getFirstChild()`

### getLastChild

    public Node getLastChild()

  See Also:
    `Node.getLastChild()`

### getPreviousSibling

    public Node getPreviousSibling()

  See Also:
    `Node.getPreviousSibling()`

### getNextSibling

    public Node getNextSibling()

  See Also:
    `Node.getNextSibling()`

### getAttributes

    public NamedNodeMap getAttributes()

  See Also:
    `Node.getAttributes()`

### getOwnerDocument

    public Document getOwnerDocument()

  See Also:
    `Node.getOwnerDocument()`

### insertBefore

    public Node insertBefore(Node arg0,
                             Node arg1)
                      throws DOMException

  See Also:
    `Node.insertBefore(Node, Node)`

### replaceChild

    public Node replaceChild(Node arg0,
                             Node arg1)
                      throws DOMException

  See Also:
    `Node.replaceChild(Node, Node)`

### removeChild

    public Node removeChild(Node arg0)
                     throws DOMException

  See Also:
    `Node.removeChild(Node)`

### appendChild

    public Node appendChild(Node arg0)
                     throws DOMException

  See Also:
    `Node.appendChild(Node)`

### hasChildNodes

    public boolean hasChildNodes()

  See Also:
    `Node.hasChildNodes()`

### cloneNode

    public Node cloneNode(boolean arg0)

  See Also:
    `Node.cloneNode(boolean)`

### normalize

    public void normalize()

  See Also:
    `Node.normalize()`

### isSupported

    public boolean isSupported(java.lang.String arg0,
                               java.lang.String arg1)

  See Also:
    `Node.isSupported(String, String)`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  See Also:
    `Node.getNamespaceURI()`

### getPrefix

    public java.lang.String getPrefix()

  See Also:
    `Node.getPrefix()`

### setPrefix

    public void setPrefix(java.lang.String arg0)
                   throws DOMException

  See Also:
    `Node.setPrefix(String)`

### getLocalName

    public java.lang.String getLocalName()

  See Also:
    `Node.getLocalName()`

### hasAttributes

    public boolean hasAttributes()

  See Also:
    `Node.hasAttributes()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.